Debian Bug report logs - #609293
partition alignment for Advanced Format disks

Package: parted; Maintainer for parted is Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>; Source for parted is src:parted.

Reported by: Harald Dunkel <harri@afaics.de>

Date: Sat, 8 Jan 2011 08:36:12 UTC

Severity: normal

Tags: moreinfo

Done: Colin Watson <cjwatson@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install Team <debian-boot@lists.debian.org>:
Bug#609293; Package installation-reports. (Sat, 08 Jan 2011 08:36:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
New Bug report received and forwarded. Copy sent to Debian Install Team <debian-boot@lists.debian.org>. (Sat, 08 Jan 2011 08:36:15 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: submit@bugs.debian.org
Subject: partition alignment for Advanced Format disks
Date: Sat, 08 Jan 2011 09:34:29 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Package: installation-reports

Boot method: CD
Image version: http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squeeze-di-beta2-amd64-netinst.iso
Date: 2011/01/07

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [O]
Detect network card:    [O]
Configure network:      [O]
Detect CD:              [O]
Load installer modules: [O]
Detect hard drives:     [O]
Partition hard drives:  [X]
Install base system:    [ ]
Clock/timezone setup:   [ ]
User/password setup:    [ ]
Install tasks:          [ ]
Install boot loader:    [ ]
Overall install:        [X]

Comments/Problems:

Without leaving the blessed installation path it is impossible to
properly align the partitions for 4096 bytes/sec, e.g. for the
WD20EARS. This makes your Advanced Format disks _really_ slow.

Reference:
http://www.ibm.com/developerworks/linux/library/l-4kb-sector-disks/

Expert mode was no help here. I had to reinstall, load parted.udeb
and switch to the console to manually define properly alligned
partitions.

Todays fdisk and parted don't have this alignment problem, so I
would strongly recommend to upgrade.


Regards

Harri
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk0oIY8ACgkQUTlbRTxpHjduDwCfQjAtsi7btpDhTbj+URqezpto
7iwAn1SfyIMWAo+9+oNEXTf0eqFi1aTK
=W3fL
-----END PGP SIGNATURE-----




Bug reassigned from package 'installation-reports' to 'partman-base'. Request was from Denis Laxalde <dlaxalde@gmail.com> to control@bugs.debian.org. (Sat, 08 Jan 2011 15:09:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609293; Package partman-base. (Wed, 13 Apr 2011 21:06:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Miguel Figueiredo <elmig@debianpt.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 13 Apr 2011 21:06:07 GMT) Full text and rfc822 format available.

Message #12 received at 609293@bugs.debian.org (full text, mbox):

From: Miguel Figueiredo <elmig@debianpt.org>
To: 609293@bugs.debian.org
Cc: 609293-submitter@bugs.debian.org
Subject: partition alignment for Advanced Format disks
Date: Wed, 13 Apr 2011 22:03:36 +0100
Hi,

we need to gather more about the issue so it can be deeper analysed.
Can you send logs (gzipped) ?
At least the installation syslog and partman log.


-- 
Melhores cumprimentos/Best regards,

Miguel Figueiredo
http://www.DebianPT.org




Message sent on to Harald Dunkel <harri@afaics.de>:
Bug#609293. (Wed, 13 Apr 2011 21:06:30 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609293; Package partman-base. (Thu, 14 Apr 2011 05:54:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 14 Apr 2011 05:54:06 GMT) Full text and rfc822 format available.

Message #20 received at 609293@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: Harald Dunkel <harri@afaics.de>, 609293@bugs.debian.org
Subject: Re: Bug#609293: partition alignment for Advanced Format disks
Date: Thu, 14 Apr 2011 07:50:58 +0200
[Message part 1 (text/plain, inline)]
Quoting Harald Dunkel (harri@afaics.de):
> -----BEGIN PGP SIGNED MESSAGE-----
> Hash: SHA1
> 
> Hi Miguel,
> 
> sorry to say, but did you check when this report was opened? The
> log files are _waaaaaaaaaaaaaaaaay_ gone. The machine I not available
> for a reinstallation.

Information in the bug log aren't that clear (except that, yes,
original logs are gone...but please understand Miguel is currently
doing bug triage, which is a very tedious task, where it happens that
one misses some points)

"I had to reinstall, load parted.udeb
and switch to the console to manually define properly alligned
partitions."

What parted.udeb did you load?

From what you mention, it seems that you picked unstable's parted udeb
and manually installed it and then things worked as you expect. Is
that right?

However, parted had very few updates since the D-I beta2 this
installation report was sent for. The version was 2.3-4 and only -5
was released since then with no apparent change related to these
issues.

I can understand this machine is not available for reinstall, but
maybe is it still avaiulable for an install *test*, up to the point
where things are committed to the disk. That should be enough to see
whether the installer aligns partitions the way you expect.


[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#609293; Package partman-base. (Thu, 14 Apr 2011 16:48:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Thu, 14 Apr 2011 16:48:06 GMT) Full text and rfc822 format available.

Message #25 received at 609293@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: Christian PERRIER <bubulle@debian.org>
Cc: 609293@bugs.debian.org
Subject: Re: Bug#609293: partition alignment for Advanced Format disks
Date: Thu, 14 Apr 2011 18:39:01 +0200
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Hi Christian,

On 04/14/11 07:50, Christian PERRIER wrote:
> 
> What parted.udeb did you load?
> 

The parted.udeb chosen by the installer on

http://cdimage.debian.org/cdimage/squeeze_di_beta2/amd64/iso-cd/debian-squeeze-di-beta2-amd64-netinst.iso

> From what you mention, it seems that you picked unstable's parted udeb
> and manually installed it and then things worked as you expect. Is
> that right?
> 

I cannot say if the parted-udeb was from unstable, but it was surely
not from stable. Using parted I could align the partitions as needed.

> However, parted had very few updates since the D-I beta2 this
> installation report was sent for. The version was 2.3-4 and only -5
> was released since then with no apparent change related to these
> issues.
> 

I understand. This bug report is not about parted, but about the
installer choosing an inappropriate default alignment for the
partitions.

> I can understand this machine is not available for reinstall, but
> maybe is it still avaiulable for an install *test*, up to the point
> where things are committed to the disk. That should be enough to see
> whether the installer aligns partitions the way you expect.
> 

Sorry, but I don't want to put that machine at risk. The problem
is easy to reproduce: Create a virtual block device and run the
installer in kvm:

kvm-img create /export/storage/root.img 16G
kvm -m 512 -cdrom /var/tmp/debian-6.0.1a-amd64-netinst.iso \
- -drive file=/export/storage/root.img -vnc :1 -usbdevice tablet

Connect via vnc and try to install Debian on the disk with the
root partition aligned to 2048s (using a msdos partition table,
of course).


Regards

Harri
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Using GnuPG with Mozilla - http://enigmail.mozdev.org/

iEYEARECAAYFAk2nIyAACgkQUTlbRTxpHjdh0ACdGVaERA0JQ136VekVzre91tNx
Y3kAn1ewiGc+YKPqQ4iuD+Zlrx2/SGuS
=f6E0
-----END PGP SIGNATURE-----




Bug reassigned from package 'partman-base' to 'parted'. Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Fri, 14 Feb 2014 18:21:04 GMT) Full text and rfc822 format available.

Added tag(s) moreinfo. Request was from Phillip Susi <psusi@ubuntu.com> to control@bugs.debian.org. (Fri, 14 Feb 2014 18:21:04 GMT) Full text and rfc822 format available.

Message sent on to Harald Dunkel <harri@afaics.de>:
Bug#609293. (Fri, 14 Feb 2014 18:21:17 GMT) Full text and rfc822 format available.

Message #32 received at 609293-submitter@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: 609293-submitter@bugs.debian.org
Subject: partition alignment for Advanced Format disks
Date: Fri, 14 Feb 2014 13:19:42 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

reassign 609293 parted
tags 609293 + moreinfo
thanks

This would be an error in parted, except that it has aligned
partitions to 1 MiB boundaries for years now, so I am not able to
reproduce this.  Are you?

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v2.0.17 (MingW32)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBAgAGBQJS/l4+AAoJEI5FoCIzSKrwLEUH/0YsKFfew8XGKpWaRy/EmcFz
iLkzoWLgKPuUaa5y8PFpKp87AAwm2OkuF9fMCCXyQmNgx0q75WY/PHb7xyAUDm/5
6FCZlE9bhJFlpr6Dl3sEpBi+Ze333oblj3DeUoF6alDOLBRg2gXuKw9lN81Hx5j9
1m3AS2pXlOErbybtukusGLpZ7ic+v4EhNTrlC1fJA+zTsCi2i07PBQTQ+ndWZhe8
9FMKsQnGcK5Ew7460cQSZJ9sc0TWWdSzsBeGblz/x5v7FlAtaIKi8jbA9nCh+CmX
M3KeQ8fkQAzABqfSQyZolxH3bjR0N12FQA0VDqpuF7lpH9OHKeCx7/VGeTv0wqM=
=pthV
-----END PGP SIGNATURE-----



Information forwarded to debian-bugs-dist@lists.debian.org, Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>:
Bug#609293; Package parted. (Sat, 01 Mar 2014 07:51:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Harald Dunkel <harri@afaics.de>:
Extra info received and forwarded to list. Copy sent to Parted Maintainer Team <parted-maintainers@lists.alioth.debian.org>. (Sat, 01 Mar 2014 07:51:05 GMT) Full text and rfc822 format available.

Message #37 received at 609293@bugs.debian.org (full text, mbox):

From: Harald Dunkel <harri@afaics.de>
To: 609293@bugs.debian.org
Subject: Re: partition alignment for Advanced Format disks
Date: Sat, 01 Mar 2014 08:46:34 +0100
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Please check the report: Squeeze's d-i did not use parted. You had
to struggle a lot to get properly aligned partitions.

Maybe Wheezy is better, but I cannot say. Since I have to manage a
lot of hosts I created my own installer in the meantime. Please
close this report. I am no longer interested.


Regards
Harri
-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBCAAGBQJTEZBUAAoJEAqeKp5m04HLiHQH/jKZR+GVtmzcABaMNv9JtSUr
sIC+zpnVbBLeEYpsMoHmdJe+VR5g8CdfJLShWapLJAvSomdBHNZ0PBwGr94ZSwIX
V8YlEXYoL4NaIQ+x81do14KmnpyR77jUgFatj08wfgfFnfQrV5hoxaMIweXNlzZj
CsifqqUwtbrPwnG8EMPtF8uELrAcN+dYKxNxqmHpAAtQGVCjjcnfNcOWpe6dQESM
fT4qtqmEWTVOj4REHI43i1EPp2bfCH1Jxdzu1SiTL5F4nnf9yy+QauWhYX0E55C9
jQeS9/GGh/op+7yAAQFhDwxu5mtnpKUg1h21oZo8pjPlA2b+1QfWT6jwMCghpfo=
=R/w1
-----END PGP SIGNATURE-----



Reply sent to Colin Watson <cjwatson@debian.org>:
You have taken responsibility. (Sat, 01 Mar 2014 11:21:08 GMT) Full text and rfc822 format available.

Notification sent to Harald Dunkel <harri@afaics.de>:
Bug acknowledged by developer. (Sat, 01 Mar 2014 11:21:08 GMT) Full text and rfc822 format available.

Message #42 received at 609293-close@bugs.debian.org (full text, mbox):

From: Colin Watson <cjwatson@debian.org>
To: Harald Dunkel <harri@afaics.de>, 609293-close@bugs.debian.org
Subject: Re: Bug#609293: partition alignment for Advanced Format disks
Date: Sat, 1 Mar 2014 11:16:19 +0000
On Sat, Mar 01, 2014 at 08:46:34AM +0100, Harald Dunkel wrote:
> Please check the report: Squeeze's d-i did not use parted. You had
> to struggle a lot to get properly aligned partitions.

d-i uses libparted, but not the command-line tool parted.  I landed
alignment support in partman-base 141, in April 2010.  However that was
before squeeze ...

> Maybe Wheezy is better, but I cannot say. Since I have to manage a
> lot of hosts I created my own installer in the meantime. Please
> close this report. I am no longer interested.

OK, if you're not interested, and you were never able to provide logs
anyway, there's no point keeping this open.  Closing.  

-- 
Colin Watson                                       [cjwatson@debian.org]



Message #43 received at 609293-done@bugs.debian.org (full text, mbox):

From: Phillip Susi <psusi@ubuntu.com>
To: Harald Dunkel <harri@afaics.de>, 609293-done@bugs.debian.org
Subject: Re: Bug#609293: partition alignment for Advanced Format disks
Date: Sat, 01 Mar 2014 14:41:05 -0500
-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

On 03/01/2014 02:46 AM, Harald Dunkel wrote:
> Please check the report: Squeeze's d-i did not use parted. You had 
> to struggle a lot to get properly aligned partitions.
> 
> Maybe Wheezy is better, but I cannot say. Since I have to manage a 
> lot of hosts I created my own installer in the meantime. Please 
> close this report. I am no longer interested.

Ok, I will close it, but d-i has used parted ( via partman ->
libparted ) for at least the last decade.

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.14 (GNU/Linux)
Comment: Using GnuPG with Thunderbird - http://www.enigmail.net/

iQEcBAEBCgAGBQJTEjfRAAoJEI5FoCIzSKrwr0oH/2GAzrBH3hrQ4ZGCWK3i9Ygx
8wpfhCTHBeTaN5Mt9bmeD0jyJ16Vn+W71wXxBP0JhblCHeMjN0CND/GesZQdbh4A
KENZcGU4KAi0aeXQjajQ4g4rihBPZeBN2XlsvhqM8WbWouv0xW/Dk549/vme1uLl
8eJSpAZ373l5qhoZgMGSWdK6En59bduewD9TzxqJ9YcSFuplaUYDPFeb3edUmgs5
S9kwyzr9qXYACNH+/tpXhLRNkCy0aqQhUdSipGYbdAtx47hSj0+Wx3e6p/RPcT2y
a4+lkwNvropJ+OnnP1yusSdy7R8tdnK0++XbjPjWt1ijRsBmHVAavOO2BayFv9o=
=2VNo
-----END PGP SIGNATURE-----



Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Mar 2014 07:36:53 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:35:04 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.